Suporte » Ajustando o WordPress » Erro 500 após atualizar versão do wordpress e plugins

  • Olá!
    Estou com um problema no site da empresa que faço estágio. Entrei há pouco tempo e precisava recuperar acesso ao site que estava parado há anos, ao entrar no painel do wordpress, atualizei a versão dele e os plugins (não sem antes realizar backup através do filezilla). Após atualizar a versão e os plugins, o site ficou muito devagar e meio desconfigurado, e passou dar aquele erro que o wordpress avisa que vai mandar um email. Retornei o backup para o servidor e o site voltou a funcionar, atualizei a versão do wordpress e atualizei os plugins um a um, porém o problema retornou novamente. Agora o site não sai do erro 500, wp-admin erro 500, e nenhum dos meus backups funciona.
    Já tentei:
    Apagar .htacess e criar um novo
    Desabilitar plugins
    Desabilitar tema

    E nada resolveu.
    Alguma luz? Estou entrando em desespero.

    A página que eu preciso de ajuda: [fazer login para ver o link]

Visualizando 8 respostas - 1 até 8 (de um total de 8)
  • saudações @joaovargas,

    erro 500 é erro do servidor. na maioria das vezes não tem nada a ver com WordPress. rara exceção é quando mexe no arquivo .htaccess, que ai ele pode gerar queda do servidor.

    vendo seu link, vi que o site está no ar. com o visual estranho, mas está no ar.

    assim sendo, provavelmente seu servidor caiu quando fez as atualizações. dependendo da qualidade do serviço do servidor, isso pode acontecer outras vezes.

    o que não está carregando é a página do /wp-admin. mas fiz um teste de página 404 e fica em branco. então acho que foi configurada um endereço personalizado para login. nesse caso, espero que saiba como acessar a página de login.

    boa sorte!

    [code is poetry]

    Obrigado pela resposta @ralden!
    Você conseguiu visualizar algo no site? Aqui agora está apresentando tela branca apenas, nem erro 500 mais.

    o site estou vendo. mas o /wp-admin (ou o botão Entrar no topo do site) está com erros relacionados ao plugin WP Super Cache, conforme print abaixo,

    https://prnt.sc/o6l4lp

    mexer com cache precisa ter conhecimentos. ou evitar configurações que não conheça. faz anos que não uso o WP Super Cache, mas quando usei ele tinha uma opção de configuração automática, justamente a primeira. indico mudar para essa, se não tiver conhecimentos sobre o assunto.

    para ver o seu site, indico usar um navegador para editar. mas com outro navegador (com cache do navegador limpo) ou com uma aba privativa você acessa para visualizar como um usuário normal faria.

    Não cheguei a alterar o cache, o site simplesmente ficou assim de repente, enquanto atualizava os plugins de um a um. Agora nenhum backup funciona mais.
    Liguei o debug e está apresentando esses erros. Como posso alterar para configuração automática o WP Super Cache sem acesso ao wp-admin?

    Esse é o erro fatal que tá quebrando meu site:

    Fatal error: Uncaught Error: Call to undefined function mysql_query() in /home/sqcgroup/www/wp-content/plugins/db-cache-reloaded-fix/db-module.php:416 Stack trace: #0 /home/sqcgroup/www/wp-content/plugins/db-cache-reloaded-fix/db-module.php(278): dbrc_wpdb->dbcr_query(‘SELECT option_n…’, true) #1 /home/sqcgroup/www/wp-includes/wp-db.php(2196): dbrc_wpdb->query(‘SELECT option_n…’) #2 /home/sqcgroup/www/wp-includes/option.php(197): wpdb->get_results(‘SELECT option_n…’) #3 /home/sqcgroup/www/wp-includes/functions.php(1377): wp_load_alloptions() #4 /home/sqcgroup/www/wp-includes/load.php(545): is_blog_installed() #5 /home/sqcgroup/www/wp-settings.php(140): wp_not_installed() #6 /home/sqcgroup/www/wp-config.php(30): require_once(‘/home/sqcgroup/…’) #7 /home/sqcgroup/www/wp-load.php(37): require_once(‘/home/sqcgroup/…’) #8 /home/sqcgroup/www/wp-blog-header.php(13): require_once(‘/home/sqcgroup/…’) #9 /home/sqcgroup/www/index.php(17): require(‘/home/sqcgroup/…’) #10 {main} thrown in /home/sqcgroup/www/wp-content/plugins/db-cache-reloaded-fix/db-module.php on line 416

    saudações @joaovargas,

    bem, como não sou desenvolvedor, aqui não saberei lhe orientar. pelo erro, “Call to undefined function mysql_query()”, eu entendo que está havendo um erro na resolução de uma função. qual a versão do PHP do seu servidor?

    no mais, teria que esperar que algum desenvolvedor aqui do fórum (como o @felipeelia ou o @rahmohn) possam ver esse tópico e quem sabe lhe dar uma orientação.

    você também pode ir no fórum do próprio plugin,

    https://wordpress.org/support/plugin/wp-super-cache/

    e reportar esse erro, principalmente colando esse debug. o fórum lá é bem ativo. só precisa postar em inglês, mas nada que, se for o caso, o Google Translate não resolva.

    boa sorte, espero que isso se resolva o quanto antes.

    [code is poetry]

    • Esta resposta foi modificada 6 meses, 4 semanas atrás por Ralden Souza.
    Moderador Rahmohn

    (@rahmohn)

    @joaovargas

    Tentei acessar o admin agora e está com a mensagem “Erro ao estabelecer conexão com o banco de dados”. Ou seja, não é mais um erro 500. Você chegou a alterar alguma coisa?

    Outra coisa, você pode desabilitar um plugin pelo FTP renomeando a pasta dele. Por exemplo: “db-cache-reloaded-fix” alterar para “db-cache-reloaded-fix2“.

    Moderador Rahmohn

    (@rahmohn)

    Verifique também se o seu servidor possui os requisitos mínimos da versão 5.2+:

    Recomendamos servidores rodando a versão 7.3 ou mais recente do PHP, e o MySQL versão 5.6 OU MariaDB versão 10.0 ou mais recente.

    O WordPress funciona com todas as versões PHP desde a 5.6.20

    Referências:
    https://br.wordpress.org/download/
    https://br.wordpress.org/support/update-php/

    • Esta resposta foi modificada 6 meses, 4 semanas atrás por Rahmohn.

    Olá, obrigado pelas respostas!
    Agora está apresentando apenas erro de banco de dados, estranhamente, pois o banco estava normal. As credenciais no wp-config estão corretas, nome, user, senha, já comparei, já mudei senha e user…

    @rahmohn pelo que vi o King.Host disponibiliza mysql 5.5, não é o 5.6. Será isso? Estou na versão 7.3 do PHP.

Visualizando 8 respostas - 1 até 8 (de um total de 8)
  • O tópico ‘Erro 500 após atualizar versão do wordpress e plugins’ está fechado para novas respostas.